### Method

# GLib Variant is_of_type

since: 2.24

#### Declaration

    gboolean
    g_variant_is_of_type (
      GVariant* value,
      const GVariantType* type
    )

#### Description

Checks if a value has a type matching the provided type.

Available since: 2.24

#### Parameters

`type`

  Type: `GVariantType`

  A `GVariantType`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the type of `value` matches `type`.